//extension of JS array object with in_array function
Array.prototype.in_array = function (obj)
{
	var len = this.length;
	for ( var x = 0 ; x <= len ; x++ )
	{
		if ( this[x] == obj ) return true;
	}
	return false;
}

function GetXmlHttpObject() {
    var xmlhttp=null;
    try {
        // Firefox, Opera 8.0+, Safari
        xmlhttp=new XMLHttpRequest();
    }
    catch (e) {
        // Internet Explorer
        try {
            xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
        }
        catch (e) {
            xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
        }
    }
    return xmlhttp;
}



//Returns value of variable in the query string
function queryString(variable_name)
{
	hu = window.location.search.substring(1);
	gy = hu.split("&");
	for (i = 0; i < gy.length; i++)
	{
		ft = gy[i].split("=");
		if (ft[0] == variable_name)
		{
			return ft[1]; //value
		}
	}
	return null;
}

//returns XMLHTTP object
function createXMLHttp()
{
    var ret = null;
    try {
        ret = new ActiveXObject('Msxml2.XMLHTTP');
    }
    catch (e) {
        try {
            ret = new ActiveXObject('Microsoft.XMLHTTP');
        }
        catch (ee) {
            ret = null;
        }
    }
    if (!ret && typeof XMLHttpRequest != 'undefined')
        ret = new XMLHttpRequest();
    return ret;
}

//conferts string with js array to js array
function receivejsarray(code)
{
    eval('var ret = ' + code);
    return ret;
}


function confirm()
{
    var a=confirm("Do you want set it?");
    return a;
}

//page initialization. Should be called right after the complete page load.
function init()
{
	refresh_pub_type();
	init_ajax();
}

//init ajax enabled forms
function init_ajax()
{
	var publisher = document.getElementById('publisher_sel');
	var conference = document.getElementById('conference_sel');
	var conference2 = document.getElementById('conference_sel2');
	var conference_year = document.getElementById('conference_year_sel'); 
	var journal = document.getElementById('journal_sel');

	if (publisher != null)
	publisher.onchange = function()
	{
		try
		{
			xhr = createXMLHttp();
			xhr.open('get', 'detail_provider.php?' + 'publisher=' + publisher.value + '&pid=' + queryString('pid'));
			xhr_xmlhttpsuccess = function()
			{	
				arr = receivejsarray(xhr.responseText);
				enable_publisher_edit(arr[0], arr[1], arr[2]);
			}
			xhr_onreadystatechange = function()
			{
				if (xhr.readyState == 4 && xhr.status == 200 && xhr_xmlhttpsuccess)
				{
					xhr_xmlhttpsuccess();
				}
			}
			xhr.onreadystatechange = xhr_onreadystatechange;
			xhr.send(null);
		}
		catch (e)
		{
			alert(e.message);
		}
		return false;
	}

	if (conference != null)
	conference.onchange = function()
	{		if (window.forbidden_conferences !== undefined)
			validate_conference_selection(forbidden_conferences); //forbidden_conferences is a variable defined outside this function
		try
		{
			xhr = createXMLHttp();
			xhr.open('get', 'detail_provider.php?' + 'conference=' + conference.value + '&pid=' + queryString('pid'));
			xhr_xmlhttpsuccess = function()
			{
				arr = receivejsarray(xhr.responseText);
				enable_conference_edit(arr[0], arr[1], arr[2], arr[3], arr[4], arr[5], arr[6], arr[7]);
			}
			xhr_onreadystatechange = function()
			{
				if (xhr.readyState == 4 && xhr.status == 200 && xhr_xmlhttpsuccess)
				{
					xhr_xmlhttpsuccess();
				}
			}
			xhr.onreadystatechange = xhr_onreadystatechange;
			xhr.send(null);
		}
		catch (e)
		{
			alert(e.message);
		}
		return false;
	}
	
	if (conference2 != null){
	conference2.onchange = function()
	{				
		if (window.forbidden_conferences !== undefined){
			validate_conference2_selection(forbidden_conferences); //forbidden_conferences is a variable defined outside this function	
		}
		try
		{
			xhr = createXMLHttp();
			xhr.open('get', 'detail_provider.php?' + 'conference2=' + conference2.value + '&pid=' + queryString('pid'));

			xhr_xmlhttpsuccess=function()
			{	
				var string = xhr.responseText.split('||');

				//first - pro vyplnn polek conference2
				var first = string[0];
			
				//second - pro vyplnn conference_year select options
				var second = string[1];		

				arr = receivejsarray(first);
				var conference=second.split('|');		// rozdlen na jednotliv ronky 

				var select = document.getElementById('conference_year_sel');
				select.options.length = 0; // zru pedchoz options
				enable_conference2_edit(arr[0], arr[1], arr[2], arr[3], arr[4]);
				
				var i=0;
				do{
					var val = conference[i].split('*');	//rozdlen na id, name, year
					//alert(val[0]); alert(val[1]); alert(val[2]);

					option = document.createElement('option');
					option.setAttribute('value',val[0]);
					option.setAttribute('options','conference_year');
					option.appendChild(document.createTextNode(val[1]+" ("+val[2]+")"));     // name (year)
					select.appendChild(option);
					
					i++;
				}while (1);
			}
			xhr_onreadystatechange = function()
			{

				if (xhr.readyState == 4 && xhr.status == 200 && xhr_xmlhttpsuccess)
				{
					xhr_xmlhttpsuccess();
				}
			}
	
			xhr.onreadystatechange = xhr_onreadystatechange;
			xhr.send(null);
		}
		catch (e)
		{
			alert(e.message);
		}
		return false;
	}
	}

	if (conference_year != null)
	conference_year.onchange = function()
	{				
		if (window.forbidden_conferences !== undefined)
			validate_conference_year_selection(forbidden_conferences); //forbidden_conferences is a variable defined outside this function
		try
		{
			xhr = createXMLHttp();
			xhr.open('get', 'detail_provider.php?' + 'conference_year=' + conference_year.value + '&pid=' + queryString('pid'));
			xhr_xmlhttpsuccess = function()
			{	
				arr = receivejsarray(xhr.responseText);
				enable_conference_year_edit(arr[0], arr[1], arr[2], arr[3], arr[4], arr[5], arr[6], arr[7], arr[8]);
			}
			xhr_onreadystatechange = function()
			{
				if (xhr.readyState == 4 && xhr.status == 200 && xhr_xmlhttpsuccess)
				{
					xhr_xmlhttpsuccess();
				}
			}
			xhr.onreadystatechange = xhr_onreadystatechange;
			xhr.send(null);
		}
		catch (e)
		{
			alert(e.message);
		}
		return false;
	}


	if (journal != null)
	journal.onchange = function()
	{
		try
		{
			xhr = createXMLHttp();
			xhr.open('get', 'detail_provider.php?' + 'journal=' + journal.value + '&pid=' + queryString('pid'));
			xhr_xmlhttpsuccess = function()
			{
				arr = receivejsarray(xhr.responseText);
				enable_journal_edit(arr[0], arr[1], arr[2]);
			}
			xhr_onreadystatechange = function()
			{
				if (xhr.readyState == 4 && xhr.status == 200 && xhr_xmlhttpsuccess)
				{
					xhr_xmlhttpsuccess();
				}
			}
			xhr.onreadystatechange = xhr_onreadystatechange;
			xhr.send(null);
		}
		catch (e)
		{
			alert(e.message);
		}
		return false;
	}
}

/* Enable editing of publisher. parameter forbidden indicates whether to forbid
   editing of name or not */
function enable_publisher_edit(forbidden, name, address)
{
	elem = document.getElementById('publisher_label');
	elem.style.display = 'block';
	p_name = document.getElementById('publisher_name');


	p_name.removeAttribute('readonly');
	document.getElementById('publisher_address').removeAttribute('readonly');
	if (forbidden != 0){
		p_name.setAttribute('readonly','readonly');
		if(address!=""){
			document.getElementById('publisher_address').setAttribute('readonly','readonly');
		}
	}
	p_name.value = name;
	document.getElementById('publisher_address').value = address;

	document.getElementById('update_publisher').style.display = 'inline';
	document.getElementById('reset_publisher').style.display = 'inline';
	document.getElementById('add_publisher').style.display = 'none';
}

function disable_publisher_edit()
{
	elem = document.getElementById('publisher_label');
	elem.style.display = 'none';
	p_name = document.getElementById('publisher_name');
	p_name.value = '';

	p_name.removeAttribute('readonly');
	document.getElementById('publisher_address').removeAttribute('readonly');
	document.getElementById('publisher_address').value = '';

	document.getElementById('update_publisher').style.display = 'none';
	document.getElementById('reset_publisher').style.display = 'none';
	document.getElementById('add_publisher').style.display = 'inline';
}

/* Enable editing of conference. parameter allow_edit indicates what
   level of editability is permitted for the current conference */
function enable_conference_edit(allow_edit, name, abbreviation, w_year, w_from, w_to, location, isbn)
{
	elem = document.getElementById('conference_label');
	elem.style.display = 'block';
	c_name = document.getElementById('conference_name');
	c_year = document.getElementById('w_year');
	c_name.setAttribute('readonly','');
	c_year.setAttribute('readonly','');
	if (allow_edit == 0) //name and year should be disabled
	{
		c_name.setAttribute('readonly','readonly');
		c_year.setAttribute('readonly','readonly');
	}
	else if (allow_edit == 1) //allow editing year, but without name
	{
		c_name.setAttribute('readonly','readonly');
		c_year.setAttribute('readonly','');
	}
	else if (allow_edit == 2) //allow editiong all including name and year
	{
		c_name.setAttribute('readonly','');
		c_year.setAttribute('readonly','');
	}
	c_name.value = name;
	document.getElementById('conference_abbreviation').value = abbreviation;
	c_year.value = w_year;
	document.getElementById('w_from').value = w_from;
	document.getElementById('w_to').value = w_to;
	document.getElementById('location').value = location;
	document.getElementById('conference_isbn').value = isbn;

	document.getElementById('update_conference').style.display = 'inline';
	document.getElementById('reset_conference').style.display = 'inline';
	document.getElementById('add_conference').style.display = 'none';
}

function disable_conference_edit()
{
	elem = document.getElementById('conference_label');
	elem.style.display = 'none';
	c_name = document.getElementById('conference_name');
	c_year = document.getElementById('w_year');
	c_name.value = '';
	//c_name.disabled = '';
	c_name.setAttribute('readonly','');
	document.getElementById('conference_abbreviation').value = '';
	c_year.value = '';
	//c_year.disabled = '';
	c_year.setAttribute('readonly','');
	document.getElementById('w_from').value = '';
	document.getElementById('w_to').value = '';
	document.getElementById('location').value = '';
	document.getElementById('conference_isbn').value = '';

	document.getElementById('update_conference').style.display = 'none';
	document.getElementById('reset_conference').style.display = 'none';
	document.getElementById('add_conference').style.display = 'inline';
	
}

/* Enable editing of conference2. parameter allow_edit indicates what
   level of editability is permitted for the current conference2 */
function enable_conference2_edit(allow_edit, name, abbreviation, description, first_year)
{
	elem = document.getElementById('conference_label');
	elem.style.display = 'block';
	c_name = document.getElementById('conference_name2');
	c_year = document.getElementById('conference_first_year2');

	//odstrann readonly po minul akci
	c_name.removeAttribute('readonly');
	c_year.removeAttribute('readonly');
	document.getElementById('conference_abbreviation2').removeAttribute('readonly');
	document.getElementById('conference_description2').removeAttribute('readonly');
	if (allow_edit == 0 || allow_edit == 1 )  //zaernn vyplnnch polek
	{
		c_name.setAttribute('readonly','readonly');
		c_year.removeAttribute('readonly');

		if(abbreviation!=""){
			document.getElementById('conference_abbreviation2').setAttribute('readonly','readonly');
		}
		if(first_year!="0000" ){
			c_year.setAttribute('readonly','readonly');
		}
		if(description!=""){
			document.getElementById('conference_description2').setAttribute('readonly','readonly');
		}
	}
	else if (allow_edit == 2) //allow editiong all 
	{
		c_name.removeAttribute('readonly');
		c_year.removeAttribute('readonly');
	}

	// vyplnn polek z databze
	c_name.value = name;
	document.getElementById('conference_abbreviation2').value = abbreviation;
	c_year.value = first_year;
	document.getElementById('conference_description2').value = description;

	// pednastaven hodnoty name a description pro conference_year podle conference2 , odstraneni readonly
	document.getElementById('conference_year_name').value = name;
	document.getElementById('conference_year_name').removeAttribute('readonly');
	document.getElementById('conference_year_year').value = "";
	document.getElementById('conference_year_year').removeAttribute('readonly');
	document.getElementById('conference_year_from').value = "";
	document.getElementById('conference_year_from').removeAttribute('readonly');
	document.getElementById('conference_year_to').value = "";
	document.getElementById('conference_year_to').removeAttribute('readonly');
	document.getElementById('conference_year_location').value = "";
	document.getElementById('conference_year_location').removeAttribute('readonly');
	document.getElementById('conference_year_isbn').value = "";
	document.getElementById('conference_year_isbn').removeAttribute('readonly');
	document.getElementById('conference_year_description').value = description;
	document.getElementById('conference_year_description').removeAttribute('readonly');


	document.getElementById('update_conference2').style.display = 'inline';
	document.getElementById('reset_conference2').style.display = 'inline';
	document.getElementById('add_conference2').style.display = 'none';

	//odstrann readonly pi kliknut na novou conference2
	if(document.getElementById('isbn2')){
		document.getElementById('isbn2').removeAttribute('readonly');
		document.getElementById('isbn2').value="";
	}
	if(document.getElementById('issue_date')){
		document.getElementById('issue_date').removeAttribute('readonly');
		document.getElementById('issue_date').value="";
	}

	//enable publisher_c and select "select publisher" option
	select3=document.getElementById('publisher_sel_c');
	select3.disabled="";
	for (i=0;i<select3.length;i++){
			select3.options[i].disabled = "";
	}
	select3.options[0].selected=true;


}


function disable_conference2_edit()
{
	elem = document.getElementById('conference_label');
	elem.style.display = 'none';
	c_name = document.getElementById('conference_name2');
	c_year = document.getElementById('conference_first_year2');

	//vymazn hodnoty polek a odstrann readonly
	c_name.value = '';
	c_name.removeAttribute('readonly');
	document.getElementById('conference_abbreviation2').value = '';
	document.getElementById('conference_abbreviation2').removeAttribute('readonly');
	c_year.value = '';
	c_year.removeAttribute('readonly');
	document.getElementById('conference_description2').value = '';
	document.getElementById('conference_description2').removeAttribute('readonly');

	document.getElementById('update_conference2').style.display = 'none';
	document.getElementById('reset_conference2').style.display = 'none';
	document.getElementById('add_conference2').style.display = 'inline';
	
}

/* Enable editing of conference_year. parameter allow_edit indicates what
   level of editability is permitted for the current conference_year */
function enable_conference_year_edit(allow_edit, name, w_year, w_from, w_to, location, isbn, description, publisher_id)
{

	elem = document.getElementById('conference_label');
	elem.style.display = 'block';
	c_name = document.getElementById('conference_year_name');
	c_year = document.getElementById('conference_year_year');

	//odstrann readonly po minul akci
	c_name.removeAttribute('readonly');
	c_year.removeAttribute('readonly');
	document.getElementById('conference_year_from').removeAttribute('readonly');
	document.getElementById('conference_year_to').removeAttribute('readonly');
	document.getElementById('conference_year_location').removeAttribute('readonly');
	document.getElementById('conference_year_isbn').removeAttribute('readonly');
	document.getElementById('conference_year_description').removeAttribute('readonly');

	document.getElementById('publ').value="";

	//fokus na publishera v selectu
	select=document.getElementById('publisher_sel_c');
	select.disabled = "";
	a=0;
	for (i=0;i<select.length;i++){
		if (publisher_id == select.options[i].value){
			select.options[i].disabled = "";
			select.options[i].selected = true;
			a=1;
		}
		else{
			select.options[i].disabled = "";
			select.options[i].selected = false;
		}
	}
	if (allow_edit == 0 || allow_edit== 1) 	// zaernn vyplnnch polek
	{
		c_name.setAttribute('readonly','readonly');
		c_year.setAttribute('readonly','readonly');

		if(w_from!="0000-00-00"){
			document.getElementById('conference_year_from').setAttribute('readonly','readonly');
		}
		if(w_to!="0000-00-00"){
			document.getElementById('conference_year_to').setAttribute('readonly','readonly');
		}
		if(location!=""){
			document.getElementById('conference_year_location').setAttribute('readonly','readonly');
		}
		if(isbn!=""){
			document.getElementById('conference_year_isbn').setAttribute('readonly','readonly');
		}
		if(description!=""){
			document.getElementById('conference_year_description').setAttribute('readonly','readonly');
		}
		if(publisher_id!="" && publisher_id!="0" && publisher_id!="NULL"){
			document.getElementById('publ').value=publisher_id;
			selec=document.getElementById('publisher_sel_c');
			for (i=0;i<select.length;i++){
				select.options[i].disabled = "disabled";
			}
		}

	}
	else if (allow_edit == 2) // allow editiong all
	{
		c_name.removeAttribute('readonly');
		c_year.removeAttribute('readonly');
	}

	c_name.value = name;
	c_year.value = w_year;
	
	//vyplnn polek z databze
	document.getElementById('conference_year_from').value = w_from;
	document.getElementById('conference_year_to').value = w_to;
	document.getElementById('conference_year_location').value = location;
	document.getElementById('conference_year_isbn').value = isbn;
	document.getElementById('conference_year_description').value = description;

	//disabled publisher
	if(document.getElementById('publisher_sel')){
		select2=document.getElementById('publisher_sel');
		for (i=0;i<select2.length;i++){
			select2.options[i].disabled = "disabled";
		}
	}

	document.getElementById('update_conference_year_c').style.display = 'inline';
	document.getElementById('reset_conference_year').style.display = 'inline';
	document.getElementById('add_conference_year_c').style.display = 'none';

	//nastaven hodnoty a readonly u polek ISBN a issue_date
	if(document.getElementById('isbn2')){
		document.getElementById('isbn2').value=isbn; 
		document.getElementById('isbn2').setAttribute('readonly','readonly');
	}
	if(document.getElementById('issue_date')){
		if(w_from.substring(4,2)!=00){
			document.getElementById('issue_date').value=w_year+"-"+w_from.substring(5,7);
		} 
		else{
			document.getElementById('issue_date').value=w_year;
		}
		document.getElementById('issue_date').setAttribute('readonly','readonly');
	}
}

function disable_conference_year_edit()
{
	elem = document.getElementById('conference_label');
	elem.style.display = 'none';
	c_name = document.getElementById('conference_year_name');
	c_year = document.getElementById('conference_year_year');

	//vymazn hodnoty polek a odstrann readonly
	c_name.value = '';
	c_name.removeAttribute('readonly');
	c_year.value = '';
	c_year.removeAttribute('readonly');
	document.getElementById('conference_year_from').value = '';
	document.getElementById('conference_year_from').removeAttribute('readonly');
	document.getElementById('conference_year_to').value = '';
	document.getElementById('conference_year_to').removeAttribute('readonly');
	document.getElementById('conference_year_location').value = '';
	document.getElementById('conference_year_location').removeAttribute('readonly');
	document.getElementById('conference_year_isbn').value = '';
	document.getElementById('conference_year_isbn').removeAttribute('readonly');
	document.getElementById('conference_year_description').value = '';
	document.getElementById('conference_year_description').removeAttribute('readonly');

	select=document.getElementById('publisher_sel_c');
	select.disabled="";
	for (i=0;i<select.length;i++){
			select.options[i].disabled = "";
	}
	select.options[0].selected=true;

	document.getElementById('update_conference_year_c').style.display = 'none';
	document.getElementById('reset_conference_year').style.display = 'none';
	document.getElementById('add_conference_year_c').style.display = 'inline';

	//vymazn hodnoty polek a odstrann readonly u polek ISBN a issue_date
	if(document.getElementById('isbn2')){
		document.getElementById('isbn2').value=""; 
		document.getElementById('isbn2').removeAttribute('readonly');
	}
	if(document.getElementById('issue_date')){
		document.getElementById('issue_date').value=""; 
		document.getElementById('issue_date').removeAttribute('readonly');
	}

}

/* Enable editing of journal. parameter forbidden indicates whether to forbid name
   editing or not */
function enable_journal_edit(forbidden, name, issn)
{
	elem = document.getElementById('journal_label');
	elem.style.display = 'block';
	j_name = document.getElementById('journal_name');

	//vymazn hodnoty polek a odstrann readonly po minul akci
	j_name.removeAttribute('readonly');
	document.getElementById('journal_issn').removeAttribute('readonly');

	//zaernn vyplnnch polek polek
	if (forbidden != 0){
		j_name.setAttribute('readonly','readonly');
		if(issn!=""){
			document.getElementById('journal_issn').setAttribute('readonly','readonly');
		}
	}
	j_name.value = name;
	document.getElementById('journal_issn').value = issn;

	document.getElementById('update_journal').style.display = 'inline';
	document.getElementById('reset_journal').style.display = 'inline';
	document.getElementById('add_journal').style.display = 'none';
}


function disable_journal_edit()
{
	elem = document.getElementById('journal_label');
	elem.style.display = 'none';
	j_name = document.getElementById('journal_name');

	//vymazn hodnoty polek a odstrann readonly
	j_name.value = '';
	j_name.removeAttribute('readonly');
	document.getElementById('journal_issn').value = '';
	document.getElementById('journal_issn').removeAttribute('readonly');

	document.getElementById('update_journal').style.display = 'none';
	document.getElementById('reset_journal').style.display = 'none';
	document.getElementById('add_journal').style.display = 'inline';
}



/* unselect all options in html select box.
   parameter id is id of html element in the document */
function unset_memo(id)
{
	sel = document.getElementById(id);
	for (i = 0; i < sel.options.length; i++)
	{
		sel.options[i].selected = false;
	}
	disable_publisher_edit();
}

// after click on clear conference
function unset_memo_conference2(id)
{
	// unselect conference2 
	sel = document.getElementById("conference_sel2");
	for (i = 0; i < sel.options.length; i++)
	{
		sel.options[i].selected = false;
	}
	
	// delete list of conference_year
	sel = document.getElementById("conference_year_sel");
	sel.length = 0;

	// unselect publisher of conference_year
	select=document.getElementById('publisher_sel_c');
	select.disabled="";
	for (i=0;i<select.length;i++){
		select.options[i].selected = false;
	}

	//enable publisher_sel
	select2=document.getElementById('publisher_sel');
	select2.disabled="";
	for (i=0;i<select2.length;i++){
			select2.options[i].disabled = "";
	}

	//enable publisher_sel_c and select  "select publisher" option
	select3=document.getElementById('publisher_sel_c');
	select3.disabled="";
	for (i=0;i<select3.length;i++){
			select3.options[i].disabled = "";
	}
	select3.options[0].selected=true;

	disable_conference2_edit();
	disable_conference_year_edit();
}

// click on clear conference year
function unset_memo_conference_year(id)
{
	// unselect conference_year
	sel = document.getElementById(id);
	for (i = 0; i < sel.options.length; i++)
	{
		sel.options[i].selected = false;
	}

	// unselect conference_year
	sel=document.getElementById('conference_year_sel');
	for (i=0;i<sel.length;i++){
		sel.options[i].selected = false;
	}

	// unselect publisher of conference_year
	select=document.getElementById('publisher_sel_c');
	select.disabled="";
	for (i=0;i<select.length;i++){
		select.options[i].selected = false;
	}

	// unselect publisher
	select1=document.getElementById('publisher_sel');
	select1.disabled="";
	for (i=0;i<select1.length;i++){
		select1.options[i].selected = false;
	}

	// enable publisher
	select2=document.getElementById('publisher_sel');
	select2.disabled="";
	for (i=0;i<select2.length;i++){
			select2.options[i].disabled = "";
	}

	//enable publisher_c and select "select publisher" option
	select3=document.getElementById('publisher_sel_c');
	select3.disabled="";
	for (i=0;i<select3.length;i++){
			select3.options[i].disabled = "";
	}
	select3.options[0].selected=true;

	disable_conference_year_edit();
	disable_publisher_edit();
	
	//vymazn hoddnoty polek ISBN a isuue_date a odstrann readonly
	document.getElementById('isbn2').value=""; 
	document.getElementById('isbn2').removeAttribute('readonly');
	document.getElementById('issue_date').value=""; 
	document.getElementById('issue_date').removeAttribute('readonly');
}


/* if chosen conference2 is forbidden, don't allow the user to select it
   paremeter forbidden should be a JS array of conference ids */
function validate_conference2_selection(forbidden)
{
	conference2 = document.getElementById('conference_sel2');
	conference2_id = conference2.value;
	if (forbidden != null && forbidden.in_array(conference2_id))
	{
		alert("You can't choose this conference, because is non-complete and you are not it's owner.");
		unset_memo('conference_sel2');
		disable_conference2_edit();
		return false;
	}
}

/* if chosen conference_year is forbidden, don't allow the user to select it
   paremeter forbidden should be a JS array of conference ids */
function validate_conference_year_selection(forbidden)
{
	conference_year = document.getElementById('conference_year_sel');
	conference_year_id = conference_year.value;
	if (forbidden != null && forbidden.in_array(conference_year_id))
	{
		alert("You can't choose this conference_year, because is non-complete and you are not it's owner.");
		unset_memo('conference_year_sel');
		disable_conference_year_edit();
		return false;
	}
}

//enables or disables data field in modify publication form
function set(element, state)
{
	element.style.display = state?'':'none';
	e_input = element.getElementsByTagName('input');
	if (e_input.length == 1 && state == 0)
	e_input[0].value = ''; //clear the input
	e_select = element.getElementsByTagName('option');
	if (e_select.length > 0 && state == 0)
	{
		for (i = 0; i < e_select.length; i++)
		{
			e_select[i].selected = null;
		}

	}
}

/* regenerates modify publication form to display only tohose data fields which
   are useful for current publication type */
function refresh_pub_type()
{
	var pub_type = document.getElementById("pub_type");
	var address = document.getElementById("address");
	var author = document.getElementById('author');
	var booktitle = document.getElementById('booktitle');
	var chapter = document.getElementById('chapter');
	var edition = document.getElementById('edition');
	var editor = document.getElementById('editor');
	var howpublished = document.getElementById('howpublished');
	var institution = document.getElementById('institution');
	var number = document.getElementById("number");
	var organization = document.getElementById('organization');
	var pages = document.getElementById('pages');
	var school = document.getElementById('school');
	var series = document.getElementById('series');
	var type = document.getElementById('type');
	var volume = document.getElementById("volume");
	var isbn = document.getElementById("isbn");
	var publisher = document.getElementById('publisher');
	var conference = document.getElementById('conference');
	var journal = document.getElementById('journal');
	var issue_date = document.getElementById('issue_date');

	var type_value = pub_type.options[pub_type.selectedIndex].value;
	switch(type_value)
	{
		case("article"):
		set(address, 0);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 0);
		set(editor, 0);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 1);
		set(number, 1);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 0);
		set(school, 0);
		set(series, 0);
		set(type, 0);
		set(volume, 1);
		set(isbn, 0);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("book"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 1);
		set(editor, 1);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 1);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 1);
		set(school, 0);
		set(series, 1);
		set(type, 0);
		set(volume, 1);
		set(isbn, 1);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("booklet"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 0);
		set(editor, 0);
		set(howpublished, 1);
		set(institution, 0);
		set(journal, 0);
		set(number, 0);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 0);
		set(school, 0);
		set(series, 0);
		set(type, 0);
		set(volume, 0);
		set(isbn, 0);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("inbook"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 1);
		set(edition, 1);
		set(editor, 1);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 1);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 1);
		set(school, 0);
		set(series, 1);
		set(type, 0);
		set(volume, 1);
		set(isbn, 1);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("incollection"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 1);
		set(chapter, 1);
		set(edition, 1);
		set(editor, 1);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 1);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 1);
		set(school, 0);
		set(series, 1);
		set(type, 0);
		set(volume, 1);
		set(isbn, 1);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("inproceedings"):
		set(address, 0); //HIDDEN IN CONFERENCE
		set(author, 1);
		set(booktitle, 0); //HIDDEN IN CONFERENCE
		set(chapter, 1);
		set(edition, 0);
		set(editor, 1);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 1);
		set(organization, 1);
		set(pages, 1);
		set(publisher, 1);
		set(school, 0);
		set(series, 1);
		set(type, 0);
		set(volume, 1);
		set(isbn, 0);  //HIDDEN IN CONFERENCE
		set(conference, 1);
		set(issue_date, 0); //HIDDEN IN CONFERENCE
		break;
		case("manual"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 1);
		set(editor, 0);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 0);
		set(organization, 1);
		set(pages, 1);
		set(publisher, 0);
		set(school, 0);
		set(series, 0);
		set(type, 0);
		set(volume, 0);
		set(isbn, 0);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("mastersthesis"):
		case("phdthesis"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 0);
		set(editor, 0);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 0);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 0);
		set(school, 1);
		set(series, 0);
		set(type, 0);
		set(volume, 0);
		set(isbn, 0);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("misc"):
		set(address, 0);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 0);
		set(editor, 1);
		set(howpublished, 1);
		set(institution, 0);
		set(journal, 0);
		set(number, 0);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 0);
		set(school, 0);
		set(series, 0);
		set(type, 0);
		set(volume, 0);
		set(isbn, 0);

		set(conference, 0);
		set(issue_date, 1);
		break;
		case("proceedings"):
		set(address, 0); //HIDDEN IN CONFERENCE'S `location`
		set(author, 0);
		set(booktitle, 0); //HIDDEN IN CONFERENCE
		set(chapter, 0);
		set(edition, 0);
		set(editor, 1);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 1);
		set(organization, 1);
		set(pages, 1);
		set(publisher, 1);
		set(school, 0);
		set(series, 1);
		set(type, 0);
		set(volume, 1);
		set(isbn, 1);
		set(conference, 1);
		set(issue_date, 0); //HIDDEN IN CONFERENCE
		break;
		case("techreport"):
		set(address, 1);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 0);
		set(editor, 0);
		set(howpublished, 0);
		set(institution, 1);
		set(journal, 0);
		set(number, 1);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 0);
		set(school, 0);
		set(series, 0);
		set(type, 1);
		set(volume, 0);
		set(isbn, 0);
		set(conference, 0);
		set(issue_date, 1);
		break;
		case("unpublished"):
		set(address, 0);
		set(author, 1);
		set(booktitle, 0);
		set(chapter, 0);
		set(edition, 0);
		set(editor, 0);
		set(howpublished, 0);
		set(institution, 0);
		set(journal, 0);
		set(number, 0);
		set(organization, 0);
		set(pages, 1);
		set(publisher, 0);
		set(school, 0);
		set(series, 0);
		set(type, 0);
		set(volume, 0);
		set(isbn, 0);
		set(conference, 0);
		break;
	}

}