<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - categories</title>
		<link rel="stylesheet" type="text/css" href="contents.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	{if $modify}
		<script src="modify_publication.js" type="text/javascript"></script>
	{/if}
	<script src="../help/help.js" type="text/javascript"></script>
		{literal}
	<script type="text/javascript">
		function Confirm_publication_delete(publ_count)
		{
			if( confirm('Are you sure you want to delete this publication?') == true)
			{
				if(publ_count>0){
					if( confirm('This publication is used by some submitters. \n \n Are you sure you want to delete it?') == true){
						return true;
					}
					else{
						return false;
					}
				}else{
					return true;
				}
			}
			else
			return false;
		}
	</script> 
	{/literal}
</head>
<body {if $modify}onload="init_ajax();"{/if}>

	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="header2">
		<ul id="menu2">
			<br />
			{if $level=='0'}
			<li><a href="index.php?tab=1">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Publications</a></li>
			{/if}
			{if $level=='1'}
				<li><a href="index.php?tab=3">Publications</a></li>
			{/if}
			<li><a href="index.php?tab=12">My Publications</a></li>
			<li><a href="index.php?tab=4">Attributes</a></li>
			<li><a class="active" href="index.php?tab=5">Categories</a></li>
			<li><a href="index.php?tab=6">Authors</a></li>
			<li><a href="index.php?tab=7">Publishers</a></li>
			<li><a href="index.php?tab=8">Journals</a></li>
			<li><a href="index.php?tab=9">Conferences</a></li>
			<li><a href="index.php?tab=10">Templates</a></li>
			{if $level=='0'}
			<li><a href="index.php?tab=11">Users</a></li>
			{/if}
		</ul>		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_categories}
			<center><a id="hide_25" style="display:none" href="javascript:hidediv(25)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_25" href="javascript:showdiv(25,'{$25_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_25" style="visibility:hidden" class="help_class_half"></div></center>

			<form method="post" action="index.php?tab=5" enctype="multipart/form-data">
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="List of all categories">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=5&amp;order=1">name</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			<tr>
				<td><input type="text" id="new_category_name" name="new_category_name" maxlength="40" value="{$new_category_name}" title="attribute name: max. 40 characters, first character underline, other characters letters and numerals." /></td>
				<td colspan="2"><input type="submit" name="add_category" value="add category" /></td>
			</tr>
			{foreach from=$categories item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.name|escape:"html"}</td>
				<td><input type="submit" name="display_publications[{$arr.id}]" value="publications" /> </td>
				<td><input type="submit" name="edit_category[{$arr.id}]" value="change" /> </td>
				<td>
					<input type="submit" onclick="return (confirm('Are you sure you want to delete this submitter?')) ? true : false;" name="delete_category[{$arr.id}]" value="delete" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="varování" title="This category is associated with some publications, don´t delete."/>{/if}
				</td>
			</tr>
			{/foreach}
			</table>
			<br />
			<br />
			</form>
		{elseif $edit_category}
			<a href="index.php?tab=5">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=5" enctype="multipart/form-data">
			<label>name of category: <input type="text" size="20" maxlength="40" name="name" value="{$name|escape:"html"}" /></label><br />
			<br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="categories_id" value="{$categories_id}" />
			<div class="right"><input type="submit" name="save_edited_category" value="save" /></div>
			</form>
		{elseif $display_publications}
			<a href="index.php?tab=5">&lt;&lt;</a>
			<form method="post" action="index.php?tab=5" enctype="multipart/form-data">
			<table id="list" width="600px" border="0" cellspacing="0" cellpadding="8" summary="list of publications">
			<thead></thead>
			{foreach from=$publications item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.title|escape:"html"}</td>
				<td>{$arr.pub_type|escape:"html"}</td>
				<td><input type="submit" name="overview[{$arr.id}]" value="details" /></td>
			</tr>
			{/foreach}

			</table>
			</form>

		{/if}
		{include file='publication_short_look.tpl'}
		</div>
	</div>
	</div>
</body>
</html>
