<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - users</title>
	<link rel="stylesheet" type="text/css" href="contents.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	<script src="../help/help.js" type="text/javascript"></script>

	{literal}
	<script type="text/javascript">
	//<![CDATA[
		function kontrola()
		{
			login = document.getElementById('login');
			name = document.getElementById('name');
			surname = document.getElementById('surname');
			email = document.getElementById('email');
			pass = document.getElementById('pass');
			pass_repetition = document.getElementById('pass_repetition');
			if(!login.value)
			{
				alert('Login is missing');
				return false;
			}
			if(!name.value)
			{
				alert('Name is missing');
				return false;
			}
			if(!surname.value)
			{
				alert('Surname is missing');
				return false;
			}
			if(!email.value)
			{
				alert('Email is missing');
				return false;
			}
			if(!pass.value)
			{
				alert('Password is missing');
				return false;
			}
			if(!pass_repetition.value)
			{
				alert('Pass repetition is missing');
				return false;
			}
			return true;
		}
	//]]>
	</script>
	{/literal}

</head>
<body>
	{include file="header.tpl"}


	<div id="mainpanel">
	<div id="header2">
		<ul id="menu2">
			<br />
			{if $level=='0'}
			<li><a href="index.php?tab=1">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Publications</a></li>
			{/if}
		
			{if $level=='1'}
				<li><a href="index.php?tab=3">Publications</a></li>
			{/if}
			<li><a href="index.php?tab=12">My Publications</a></li>
			<li><a href="index.php?tab=4">Attributes</a></li>
			<li><a href="index.php?tab=5">Categories</a></li>
			<li><a href="index.php?tab=6">Authors</a></li>
			<li><a href="index.php?tab=7">Publishers</a></li>
			<li><a href="index.php?tab=8">Journals</a></li>
			<li><a href="index.php?tab=9">Conferences</a></li>
			<li><a href="index.php?tab=10">Templates</a></li>
			{if $level=='0'}
			<li><a class="active" href="index.php?tab=11">Users</a></li>
			{/if}
		</ul>		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}
		{if $user}
			<form method="post" action="index.php?tab=11" enctype="multipart/form-data" accept-charset="utf-8" >

			<center><a id="hide_31" style="display:none" href="javascript:hidediv(31)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_31" href="javascript:showdiv(31,'{$31_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_31" style="visibility:hidden" class="help_class_half"></div></center>

			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="users">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=11&amp;order=3">surname</a></th>
				<th scope="col"><a href="index.php?tab=11&amp;order=1">name</a></th>
				<th scope="col"><a href="index.php?tab=11&amp;order=2">email</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$user item=arr}
			<tr>
				<td {if $levels[$arr.id]==0}class="highlight_admin"{/if}>{$arr.surname|escape:"html"}</td>
				<td {if $levels[$arr.id]==0}class="highlight_admin"{/if}>{$arr.name|escape:"html"}</td>
				<td>{$arr.email|escape:"html"}</td>
				<td>
					{if $arr.id != $my_id}
					<label><input type="radio" name="level{$arr.id}" value="0" {if $levels[$arr.id]==0}checked="checked"{/if} />admin</label>
					<label><input type="radio" name="level{$arr.id}" value="1" {if $levels[$arr.id]==1}checked="checked"{/if} />submitter</label>
					<label><input type="radio" name="level{$arr.id}" value="2" {if $levels[$arr.id]==2}checked="checked"{/if} />reader</label>
					{else}
						It's me.
					{/if}
				</td>
				<td>
					{if $arr.id != $my_id}
					<input type="submit" name="set_user_level[{$arr.id}]" value="update" />
					<input type="submit" onclick="return (confirm('Are you sure you want to delete this submitter?')) ? true : false;" name="delete_user[{$arr.id}]" value="delete" />
					{/if}
				</td>
			</tr>
			{/foreach}
			<tr>
				<td colspan="4">
					<fieldset style="background: white;">
					<legend>add user</legend>
					<dl class="liketable">
						<dt><label for="login">Login*: </label></dt>
						<dd><input type="text" id="login" name="login" maxlength="50" value="{$login}" /></dd>
						<dt><label for="name">Name*: </label></dt>
						<dd><input type="text" id="name" name="name" maxlength="255" value="{$name}" /></dd>
						<dt><label for="surname">Surname*: </label></dt>
						<dd><input type="text" id="surname" name="surname" maxlength="255" value="{$surname}" /></dd>
						<dt><label for="email">Email*: </label></dt>
						<dd><input type="text" id="email" name="email" maxlength="255" value="{$email}" /></dd>
						<dt><label for="pass">Password*: </label></dt>
						<dd><input type="password" id="pass" name="pass" value="{$pass}" autocomplete="off"  /></dd>
						<dt><label for="pass_repetition">Pass repetition*: </label></dt>
						<dd><input type="password" id="pass_repetition" name="pass_repetition" value="{$pass_repetition}" /></dd>
						<dt>Rights: </dt>
						<dd>
							<label><input type="radio" name="alevel" value="0" {if $alevel==0}checked="checked"{/if} />admin</label>
							<label><input type="radio" name="alevel" value="1" {if $alevel==1 or !$alevel}checked="checked"{/if} />submitter</label>
							<label><input type="radio" name="alevel" value="2" {if $alevel==2}checked="checked"{/if} />reader</label>
						</dd>
					</dl>
					<div class="right"><input type="submit" name="add_user" onclick="return kontrola();" value="add user" /></div>
					</fieldset>
				</td>
			</tr>
			</table>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
