<?php
session_start();

require_once('./User.inc.php');
require_once('./common/misc_fns.inc.php');
require_once('./common/common.inc.php');
require_once('./common/db_fns.inc.php');
require_once('./libs/smarty/Smarty.class.php');
require_once('./common/CitGenerator.inc.php');
require_once('./common/SException.inc.php');
require_once('./common/SAException.inc.php');
//require_once('./admin/AdminT12.inc.php');
//require_once('./contents/Contents_waiting_checked.inc.php');
require_once('./contents/Contents_publications.inc.php');
require_once('./common/AuthModule.inc.php');
require_once('./common/Bibtex.inc.php');
require_once('./common/DocumentProvider.inc.php');
require_once('Suggest.inc.php');

//handle ajax request
$ajax = new Suggest();
$ajax->handleRequest();

$get = clean_rec($_GET);
$post = clean_rec($_POST);

/*
  We have to clear authors list in the sessin. This list was used by admin
  interface when editing a publication.
 */
if ($_SESSION['selected_authors'] != null)
{
	if ($_SERVER['QUERY_STRING'] != $_SESSION['query_string'])
	{
		$_SESSION["selected_authors"] = null;
	}
}

if ($_SESSION['tmp_cat'] != null)
{
		$_SESSION["tmp_cat"] = null;
}

//We also have to save the query string into the session.
$_SESSION['query_string'] = $_SERVER['QUERY_STRING'];


$user = new User($post, $get); //permitted extensions are from common.inc.php
$user->execute();


?>
