<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - attributes</title>
	<link rel="stylesheet" type="text/css" href="contents.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	<script src="../help/help.js" type="text/javascript"></script>

{literal}
	<script type="text/javascript">
		function Confirm_publication_delete(publ_count)
		{
			if( confirm('Are you sure you want to delete this publication?') == true)
			{
				if(publ_count>0){
					if( confirm('This publication is used by some submitters. \n \n Are you sure you want to delete it?') == true){
						return true;
					}
					else{
						return false;
					}
				}else{
					return true;
				}
			}
			else
			return false;
		}
	</script> 
	{/literal}


</head>
<body>
	{include file="header.tpl"}
	<div id="mainpanel">
	<div id="header2">
		<ul id="menu2">
			<br />
			{if $level=='0'}
			<li><a href="index.php?tab=1">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Publications</a></li>
			{/if}
		
			{if $level=='1'}
				<li><a href="index.php?tab=3">Publications</a></li>
			{/if}
			<li><a href="index.php?tab=12">My Publications</a></li>
			<li><a class="active" href="index.php?tab=4">Attributes</a></li>
			<li><a href="index.php?tab=5">Categories</a></li>
			<li><a href="index.php?tab=6">Authors</a></li>
			<li><a href="index.php?tab=7">Publishers</a></li>
			<li><a href="index.php?tab=8">Journals</a></li>
			<li><a href="index.php?tab=9">Conferences</a></li>
			<li><a href="index.php?tab=10">Templates</a></li>
			{if $level=='0'}
			<li><a href="index.php?tab=11">Users</a></li>
			{/if}
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}
		{if $show_attributes}
			<center><a id="hide_24" style="display:none" href="javascript:hidediv(24)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_24" href="javascript:showdiv(24,'{$24_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_24" style="visibility:hidden" class="help_class_half"></div></center>
			{$publications}
			<form method="post" action="index.php?tab=4" enctype="multipart/form-data">
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="List of all advanced attributes">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=4&amp;order=1">public</a></th>
				<th scope="col"><a href="index.php?tab=4&amp;order=2">Attribute name</a></th>
				<th scope="col"><a href="index.php?tab=4&amp;order=3">Description of attribute</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			<tr>
				<td>&nbsp;</td>
				<td><input type="text" id="new_attribute_name" name="new_attribute_name" maxlength="40" value="{$new_attribute_name}" title="attribute name: max. 40 characters, first character underline, other characters letters and numerals." /></td>
				<td><input type="text" id="new_attribute_description" name="new_attribute_description" maxlength="200" value="{$new_attribute_description}" title="attribute description: max. 200 characters, optional" /></td>
				<td colspan="2"><input type="submit" name="add_attribute" value="add attribute" /></td>
			</tr>
			{foreach from=$attributes item=arr}
			<tr class="{cycle values="odd,even"}">
				<td><input type="checkbox" name="propagated_attributes[]" value="{$arr.id}" {if $arr.confirmed}checked="checked"{/if} /></td>
				<td><strong>{$arr.name|escape:"html"}</strong></td>
				<td>{$arr.description|escape:"html"}</td>
				<td><input type="submit" name="display_publications[{$arr.id}]" value="publications" /> </td>
				<td><input type="submit" name="edit_attribute[{$arr.id}]" value="change" /> </td>
				<td>
					<input type="submit" onclick="return (confirm('Are you sure you want to delete this attribute?')) ? true : false;" name="delete_attribute[{$arr.id}]" value="delete" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="warning" title="Is associeted with some publications, don´t delete."/>{/if}
				</td>
			</tr>
			{/foreach}
			
			</table>
			<br />
			<br />
			<hr />
			<br />
			<div class="right"><input type="submit" name="save_attributes_scope" value="save visibility of attributes" /></div>
			</form>
		{elseif $edit_attribute}
			<a href="index.php?tab=4">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=4&amp;order=1" enctype="multipart/form-data">
			<label>attribute name: <input type="text" size="20" maxlength="40" name="name" value="{$name|escape:"htmlall"}" /></label><br />
			<label>attribute description: <input type="text" size="100" maxlength="200" name="description" value="{$description|escape:"htmlall"}" /></label>
			<br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="attributes_id" value="{$attributes_id}" />
			<div class="right"><input type="submit" name="save_edited_attribute" value="uložit" /></div>
			</form>
		{elseif $display_publications}
			<a href="index.php?tab=4">&lt;&lt;</a>
			<form method="post" action="index.php?tab=4" enctype="multipart/form-data">
			<table id="list" width="600px" border="0" cellspacing="0" cellpadding="8" summary="list of publications">
			<thead></thead>
			{foreach from=$publications item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.title|escape:"html"}</td>
				<td>{$arr.pub_type|escape:"html"}</td>
				<td><input type="submit" name="overview[{$arr.id}]" value="details" /></td>
			</tr>
			{/foreach}

			</table>
			</form>
		{/if}
		{include file='publication_short_look.tpl'}
		</div>
	</div>
	</div>

</body>
</html>
