<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - conferences</title>
	<link rel="stylesheet" type="text/css" href="contents.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	<script src="../help/help.js" type="text/javascript"></script>
	<script type="text/javascript">
	{literal} 
		function unset_memo(id)
		{
			for (i = 0; i < document.getElementById(id).options.length; i++)
			{
				document.getElementById(id).options[i].selected = false;
			}
		}

		function Confirm_publication_delete(publ_count)
		{
			if( confirm('Are you sure you want to delete this publication?') == true)
			{
				if(publ_count>0){
					if( confirm('This publication is used by some submitters. \n \n Are you sure you want to delete it?') == true){
						return true;
					}
					else{
						return false;
					}
				}else{
					return true;
				}
			}
			else
			return false;
		}
	</script> 
	{/literal}
</head>
<body>
	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="header2">
		<ul id="menu2">
			<br />
			{if $level=='0'}
			<li><a href="index.php?tab=1">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Publications</a></li>
			{/if}
		
			{if $level=='1'}
				<li><a href="index.php?tab=3">Publications</a></li>
			{/if}
			<li><a href="index.php?tab=12">My Publications</a></li>
			<li><a href="index.php?tab=4">Attributes</a></li>
			<li><a href="index.php?tab=5">Categories</a></li>
			<li><a href="index.php?tab=6">Authors</a></li>
			<li><a href="index.php?tab=7">Publishers</a></li>
			<li><a href="index.php?tab=8">Journals</a></li>
			<li><a class="active" href="index.php?tab=9">Conferences</a></li>
			<li><a href="index.php?tab=10">Templates</a></li>
			{if $level=='0'}
			<li><a href="index.php?tab=11">Users</a></li>
			{/if}
		</ul>
		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_conference}
			<center><a id="hide_28" style="display:none" href="javascript:hidediv(28)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_28" href="javascript:showdiv(28,'{$28_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_28" style="visibility:hidden" class="help_class_half"></div></center>

			<form method="post" action="index.php?tab=9" enctype="multipart/form-data">
			<table id="list" width="600px" border="0" cellspacing="0" cellpadding="8" summary="list of all conferences2">

			<tr>
				<td><input type="text" size="10" id="name" name="name" maxlength="500" value="{$name}" title="max. 500 characters" /></td>
				<td><input type="text" size="10" id="abbreviation" name="abbreviation" maxlength="100" value="{$abbreviation}" title="max. 100 characters" /></td>
				<td><input type="text" size="10" id="description" name="description" maxlength="1000" value="{$description}" title="max. 10 characters" /></td>
				<td><input type="text" size="10" id="first_year" name="first_year" maxlength="10" value="{$first_year}" title="max. 10 characters" /></td>
				<td><input type="submit" name="add_conference2" value="add conference 2" /></td>
				<td></td>
			</tr>
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=9&amp;order=1">Name</a></th>
				<th scope="col"><a href="index.php?tab=9&amp;order=2">Abbreviation</a></th>
				<th scope="col"><a href="index.php?tab=9&amp;order=3">Description</a></th>
				<th scope="col"><a href="index.php?tab=9&amp;order=4">First year</a></th>
				<th scope="col" colspan="3">&nbsp;</th>
			</tr>
			</thead>

			{foreach from=$conference2 item=arr}
			
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.name|escape:"html"}</td>
				<td>{$arr.abbreviation|escape:"html"}</td>
				<td>{$arr.description|escape:"html"}</td>
				<td>{$arr.first_year|escape:"html"}</td>
				<td><input type="submit" name="choose_conf_year[{$arr.id}]" value="choose Years of Conference" /> </td>
				<td><input type="submit" name="edit_conference2[{$arr.id}]" value="change" /> </td>
				<td>
					<input type="submit" onclick="return (confirm('Are you sure you want to delete this conference2?')) ? true : false;" name="delete_conference2[{$arr.id}]" value="delete" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="warning" title="Is associated with some publications, don´t delete."/>{/if}
				</td>
			</tr>
			{/foreach}

			</table>
			</form>

		{elseif $edit_conference2}
			<a href="index.php?tab=9">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=9" enctype="multipart/form-data">
			<label>Name: <input type="text" size="106" name="name" maxlength="500" value="{$name|escape:"html"}" title="max. 500 characters" /></label><br />
			<label>Abbreviation: <input type="text" size="30" id="abbreviation" name="abbreviation" maxlength="100" value="{$abbreviation|escape:"html"}" title="max. 100 characters" /></label><br />
			<label>Description: <input type="text" size="100" id="description" name="description" maxlength="1000" value="{$description|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>First year: <input type="text" size="10" id="first_year" name="first_year" maxlength="10" value="{$first_year|escape:"html"}" title="max. 10 characters" /></label><br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="conference2_id" value="{$conference2_id}" />
			<div class="right"><input type="submit" name="save_edited_conference2" value="save" /></div>
			</form>

		{elseif $edit_conference_year}
			<a href="index.php?tab=9">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=9" enctype="multipart/form-data">
			<label>Name: <input type="text" size="100" name="name" maxlength="500" value="{$name|escape:"html"}" title="max. 500 characters" /></label><br />
			<label>Year: <input type="text" size="10" id="w_year" name="w_year" maxlength="10" value="{$w_year|escape:"html"}" title="max. 100 characters" /></label><br />
			<label>From: <input type="text" size="10" id="w_from" name="w_from" maxlength="10" value="{$w_from|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>To: <input type="text" size="10" id="w_to" name="w_to" maxlength="10" value="{$w_to|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>ISBN: <input type="text" size="20" id="isbn" name="isbn" maxlength="17" value="{$isbn|escape:"html"}" title="max. 10 characters" /></label><br />		
			<label>Location: <input type="text" size="97" id="location" name="location" maxlength="500" value="{$location|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>Description: <input type="text" size="94" id="description" name="description" maxlength="1000" value="{$description|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>Publisher:</label><br />
			<select id="publisher_sel_c" name="publisher" size="5">
				{html_options options=$publisher selected=$selected_publisher}
	  	       </select>
			<!-- <input type="button" onclick="unset_memo('publisher_sel_c');" value="unset publisher" /> -->
			<input type="button" onclick="javascript: unset_memo('publisher_sel_c');" value="unset publisher" />			

			<br />
			<hr />
			<br />
			<input type="hidden" name="conference_year_id" value="{$conference_year_id}" />
			<!-- <div class="right"><input type="submit" name="save_edited_conference_year" value="save" /></div> -->
			<div class="right"><input type="submit" name="save_edited_conference_year_p" value="save" /></div>
			</form>

		{elseif $choose_conf_year}
			<center><a id="hide_29" style="display:none" href="javascript:hidediv(29)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_29" href="javascript:showdiv(29,'{$29_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_29" style="visibility:hidden" class="help_class_half"></div></center>

			<a href="index.php?tab=9">&lt;&lt;</a><br /><br />
			
			<form method="post" action="index.php?tab=9" enctype="multipart/form-data">

			<table>
				<tr class="heading">
					<th scope="col">Name</th>
					<th scope="col">Year</th>
					<th scope="col">From</th>
					<th scope="col">To</th>
					<th scope="col">Location</th>
					<th scope="col">Isbn</th>
					<th scope="col">Description</th>
					<th scope="col">Publisher</th>
					<th scope="col" colspan="2">&nbsp;</th>
				</tr>
				<tr>
					<td><input type="text" size="10" id="name" name="name" maxlength="500" value="{$name}" title="max. 500 characters" /></td>
					<td><input type="text" size="10" id="w_year" name="w_year" maxlength="10" value="{$w_year}" title="max. 10 characters" /></td>
					<td><input type="text" size="10" id="w_from" name="w_from" maxlength="10" value="{$w_from}" title="max. 10 characters" /></td>
					<td><input type="text" size="10" id="w_to" name="w_to" maxlength="10" value="{$w_to}" title="max. 10 characters" /></td>
					<td><input type="text" size="10" id="location" name="location" maxlength="500" value="{$location}" title="max. 10 characters" /></td>
					<td><input type="text" size="10" id="isbn" name="isbn" maxlength="10" value="{$isbn}" title="max. 10 characters" /></td>
					<td><input type="text" size="10" id="description" name="description" maxlength="1000" value="{$description}" title="max. 10 characters" /></td>
					<td> <select id="publisher_sel_c" name="publisher" size="1">
						<option value="0">Select publisher</option>
						{html_options options=$publisher selected=$selected_publisher}
				    	 </select>
					</td>
				
				</tr>
				<tr>
					<td colspan="7"></td>
					<td colspan="2"><input type="submit" name="add_conference_year_c" value="add year of conference" /></td>

				</tr>
				
			</table>


			
				
			<br /><br />

			<table id="list" width="600px" border="0" cellspacing="0" cellpadding="8" summary="">
			<thead>
			<tr class="heading">
					<th scope="col">Name</th>
					<th scope="col">Year</th>
					<th scope="col">From</th>
					<th scope="col">To</th>
					<th scope="col">Location</th>
					<th scope="col">Isbn</th>
					<th scope="col">Description</th>
					<th scope="col">Publisher</th>
					<th scope="col" colspan="2">&nbsp;</th>
				</tr>
			{foreach from=$conference_year item=arr2}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr2.name|escape:"html"}</td>
				<td>{$arr2.w_year|escape:"html"}</td>
				{if $arr2.w_from !='0000-00-00'}
					<td>{$arr2.w_from|escape:"html"}</td>
				{elseif $arr2.w_from =='0000-00-00'}
					<td></td>
				{/if}
				{if $arr2.w_to !='0000-00-00'}
					<td>{$arr2.w_to|escape:"html"}</td>
				{elseif $arr2.w_to =='0000-00-00'}
					<td></td>
				{/if}
				<td>{$arr2.location|escape:"html"}</td>
				<td>{$arr2.isbn|escape:"html"}</td>
				<td>{$arr2.description|escape:"html"}</td>
				<td>{$arr2.publisher_name|escape:"html"}</td>
				<td><input type="submit" name="edit_conference_year[{$arr2.id}]" value="change" /> </td>
				<td>
					<input type="submit" onclick="return (confirm('Are you sure you want to delete this year of conference?')) ? true : false;" name="delete_conference_year[{$arr2.id}]" value="delete" />
					{if $arr2.warning}<img src="../graphics/warn.png" alt="warning" title="Is associated with some publications, don´t delete."/>{/if}
				</td>
				<td><input type="submit" name="display_publications[{$arr2.id}]" value="publications" /> </td>
			</tr>
			{/foreach}
		
		</form>

		{elseif $display_publications}
			<a href="index.php?tab=9">&lt;&lt;</a>
			<form method="post" action="index.php?tab=9" enctype="multipart/form-data">
			<table id="list" width="600px" border="0" cellspacing="0" cellpadding="8" summary="list of publications">
			<thead></thead>
			{foreach from=$year_publications item=arr3}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr3.title|escape:"html"}</td>
				<td>{$arr3.pub_type|escape:"html"}</td>
				<td><input type="submit" name="overview[{$arr3.id}]" value="details" /></td>
			</tr>
			{/foreach}

			</table>
			</form>

		{/if}
		{include file='publication_short_look.tpl'}

		</div>

	</div>
</body>
</html>
