<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - publications</title>
	<link rel="stylesheet" type="text/css" href="contents.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	{if $modify}
		<script src="modify_publication.js" type="text/javascript"></script>
	{/if}
	<script src="../help/help.js" type="text/javascript"></script>

	{literal}
	<script type="text/javascript">
		function Confirm_publication_delete(publ_count)
		{
			if( confirm('Are you sure you want to delete this publication?') == true)
			{
				if(publ_count>0){
					if( confirm('This publication is used by some submitters. \n \n Are you sure you want to delete it?') == true){
						return true;
					}
					else{
						return false;
					}
				}else{
					return true;
				}
			}
			else
			return false;
		}
	</script> 
	{/literal}


</head>
<body {if $modify}onload="init_ajax();"{/if}>

	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="header2">
		<ul id="menu2">
			<br />
			{if $level=='0'}
			<li><a {if $tab eq "1"}class="active"{/if} href="index.php?tab=1">Waiting for check</a></li>
			<li><a {if $tab eq "2"}class="active"{/if} href="index.php?tab=2">Publications</a></li>
			{/if}
			
			{if $level=='1'}
				<li><a {if $tab eq "3"}class="active"{/if} href="index.php?tab=3">Publications</a></li>
			{/if}
			<li><a {if $tab eq "12"}class="active"{/if} href="index.php?tab=12">My Publications</a></li>
			<li><a href="index.php?tab=4">Attributes</a></li>
			<li><a href="index.php?tab=5">Categories</a></li>
			<li><a href="index.php?tab=6">Authors</a></li>
			<li><a href="index.php?tab=7">Publishers</a></li>
			<li><a href="index.php?tab=8">Journals</a></li>
			<li><a href="index.php?tab=9">Conferences</a></li>
			<li><a href="index.php?tab=10">Templates</a></li>
			{if $level=='0'}
			<li><a href="index.php?tab=11">Users</a></li>
			{/if}
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}
		
		
		{if $publications}
		{if $tab eq "1"}
			<center><a id="hide_20" style="display:none" href="javascript:hidediv(20)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_20" href="javascript:showdiv(20,'{$20_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_20" style="visibility:hidden" class="help_class_half"></div></center>
		{/if}
		{if $tab eq "2"}
			<center><a id="hide_21" style="display:none" href="javascript:hidediv(21)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_21" href="javascript:showdiv(21,'{$21_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_21" style="visibility:hidden" class="help_class_half"></div></center>
		{/if}
		{if $tab eq "12"}
			<center><a id="hide_23" style="display:none" href="javascript:hidediv(23)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_23" href="javascript:showdiv(23,'{$23_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_23" style="visibility:hidden" class="help_class_half"></div></center>
		{/if}
					{$publications}
						<br />
						{if $tab==1}
							<hr />
							<form method="post" action="index.php?tab={$tab}">
								<div class="right">
									<input name="confirm_all_publications" type="submit" value="mark all as checked" />
								</div>
							</form>
						{/if}
		{/if}
 		{include file='publication_short_look.tpl'}
		</div>
	</div>
	</div>

</body>
</html>
