<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publication - templates</title>
	<link rel="stylesheet" type="text/css" href="contents.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	<script src="../help/help.js" type="text/javascript"></script>

{literal}
	<script type="text/javascript">
	//<![CDATA[
		function kontrola()
		{
			name = document.getElementById('name');
			content = document.getElementById('content');
			if(!name.value)
			{
				alert('Name is missing');
				return false;
			}
			if(content.value=="0")
			{
				alert('Template definition is missing');
				return false;
			}
			return true;
		}
	//]]>
	</script>
	{/literal}


</head>
<body>

	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="header2">
		<ul id="menu2">
			<br />
			{if $level=='0'}
			<li><a href="index.php?tab=1">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Publications</a></li>
			{/if}
		
			{if $level=='1'}
				<li><a href="index.php?tab=3">Publications</a></li>
			{/if}
			<li><a href="index.php?tab=12">My Publications</a></li>
			<li><a href="index.php?tab=4">Attributes</a></li>
			<li><a href="index.php?tab=5">Categories</a></li>
			<li><a href="index.php?tab=6">Authors</a></li>
			<li><a href="index.php?tab=7">Publishers</a></li>
			<li><a href="index.php?tab=8">Journals</a></li>
			<li><a href="index.php?tab=9">Conferences</a></li>
			<li><a class="active" href="index.php?tab=10">Templates</a></li>
			{if $level=='0'}
			<li><a href="index.php?tab=11">Users</a></li>
			{/if}
		</ul>		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_formats}
			<form method="post" action="index.php?tab=10" enctype="multipart/fđorm-data">
			<center><a id="hide_32" style="display:none" href="javascript:hidediv(32)"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><a id="show_32" href="javascript:showdiv(32,'{$32_help}')"><img src="../graphics/b_help.png" alt="help"/></a></center>
			<center><div id="hideShow_32" style="visibility:hidden" class="help_class_half"></div></center>
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="List of all templates">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=10&amp;order=2">name of format</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$format item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.name|escape:"html"}</td>
				<td class="right"><input type="submit" name="edit_format[{$arr.id}]" value="change" /> </td>
				<td class="right">
					<input type="submit" onclick="return (confirm('Are you sure you want to delete this format?')) ? true : false;" name="delete_format[{$arr.id}]" value="delete" />
				</td>
			</tr>
			{/foreach}
			</table>
			<br />
			<fieldset class="format_add">
			<legend>Addition of new format</legend>
			<label>name: <input type="text" size="20" id="name" name="name" maxlength="40" title="max. 40 characters" /></label>
			<input type="submit" name="add_format" onclick="return kontrola();" value="add format" /><br />
			šablona:<br />
			<textarea name="content" cols="100" rows="30">{$content|escape:"html"}</textarea>
			</fieldset>
			
			

			<br />
			</form>
		{elseif $edit_format}
			<a href="index.php?tab=10">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=10" enctype="multipart/form-data">
			<br />
			<fieldset class="format_edit">
			<legend>format</legend>
			<label>name: <input type="text" size="20" value="{$name|escape:"html"}" id="name" name="name" maxlength="40" title="max. 40 characters" /></label><br />
			template:<br />
			<textarea name="content" cols="100" rows="50">{$content|escape:"html"}</textarea>
			<br />
			<br />
			<input type="hidden" name="format_id" value="{$format_id}" />
			</fieldset>
			<hr />
			<div class="right"><input type="submit" name="save_format" value="save" /></div>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
