<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Database of publications</title>
	<link rel="stylesheet" type="text/css" href="load.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	<script src="../help/help.js" type="text/javascript"></script>
	{literal}
	<script type="text/javascript">
	//<![CDATA[
		function validate()
		{
			pub_type = document.getElementById('pub_type');
			title = document.getElementById('title');
			if(!pub_type.selectedIndex)
			{
				alert('Type of publication is missing');
				pub_type.focus();
				return false;
			}
			if(!title.value)
			{
				alert('Name of publication is missing');
				title.focus();
				return false;
			}
			return true;
		}
	//]]>
	</script>
	{/literal}
</head>
<body>
	{include file="header.tpl"}
	{include file="header2.tpl"}

	<div id="mainpanel">
	<div id="content">
	<div id="mainpanel-inside">

		<br />
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/>
		{/if}

		<center><a id="hide_3" style="display:none" href="javascript:hidediv(3)"><img src="../graphics/b_help.png" alt="help"/></a> </center>
		<center><a id="show_3" href="javascript:showdiv(3,'{$3_help}')"><img src="../graphics/b_help.png" alt="help"/></a> </center>
		<center><div id="hideShow_3" style= "visibility:hidden" class="help_class_half"></div></center>
		
		<form action="index.php" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
		<table border="0" width="100%" cellspacing="20" cellpadding="0" summary="new publication">
		<tr>
			<td style="width: 10%">
					Type of publication*:
			</td>
			<td style="width: 45%">
					<select name="pub_type" id="pub_type" style="width:660px">
					<option value="">-- Choose from the list --</option>
					{html_options options=$pub_types selected=$selected_pub_type}
					</select>
			</td>
			<td style="width: 45%">&nbsp;</td>
		</tr>
		<tr>
			<td>
					Title*:
			</td>
			<td>
					<input type="text" name="title" id="title" size="106" value="{$title|escape:"html"}" />
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>Abstract:</td>
			<td colspan="2">
				<textarea name="abstract" id="abstract" rows="5" cols="80">{$abstract}</textarea>
			</td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td>
					Place the publication into a category:
			</td>
			<td colspan="2">
				<fieldset>
				<legend>Categories</legend>
				{if $added_categories}
					<strong>Added categories in which the publication will be placed:</strong>
					<span style="color: blue;">
					{foreach from=$added_categories item=current}
						{$current}
					{/foreach}
					</span>
					<input type="submit" name="delete_added_categories" value="smazat" />
					<br /><br />
				{/if}
				{html_checkboxes name="propagated_categories" options=$categories
				selected=$selected_categories separator="<br />"}
				<br /><br />
				<input type="text" name="category_name" value="" /><input type="submit" name="add_category" value="add category" />
				<a id="hide_10" style="display:none" href="javascript:hidediv(10)"><img src="../graphics/b_help.png" alt="help"/></a>
				<a id="show_10" href="javascript:showdiv(10,'{$10_help}')"><img src="../graphics/b_help.png" alt="help"/></a>
				<br /><br />
				<center><div id="hideShow_10" style= "visibility:hidden" class="help_class_half"></div></center>
				</fieldset>
			</td>
		</tr>
		</table>

		<hr />

		<table border="0" width="100%" cellspacing="20" cellpadding="0" summary="new publication">
		<tr>
			<td>
					&nbsp;
			</td>
			<td>&nbsp;</td>
			<td class="right">
			       <input type="hidden" name="next_stage" value="2" />
				<input type="submit" name="next" onclick="return validate();" value="next &gt;&gt;" />
			</td>
		</tr>
		</table>
		</form>
	</div>
	</div>
	</div>
</body></html>