<?php /* Smarty version 2.6.20, created on 
         compiled from user_publ.tpl */ ?>
<?php require_once(SMARTY_CORE_DIR . 'core.load_plugins.php');
smarty_core_load_plugins(array('plugins' => array(array('modifier', 'trim', 'user_publ.tpl', 72, false),array('modifier', 'nl2br', 'user_publ.tpl', 72, false),array('function', 'html_options', 'user_publ.tpl', 136, false),)), $this); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Database of publications - <?php echo $this->_tpl_vars['title']; ?>
</title>
	<link rel="stylesheet" type="text/css" href="user.css" />
	<link rel="stylesheet" type="text/css" href="common/header.css" />
	<link rel="stylesheet" type="text/css" href="submitter.css" />
	<?php if ($this->_tpl_vars['tab'] == 'modify'): ?><script src="admin/modify_publication.js" type="text/javascript"></script><?php endif; ?>
	<script src="help/help.js" type="text/javascript"></script>
	<?php echo '
	<script type="text/javascript">
	//<![CDATA[
		function init_annot()
		{
			'; ?>

			<?php $_from = $this->_tpl_vars['editable_annot']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['annot']):
?>
				document.getElementById('textarea_<?php echo $this->_tpl_vars['annot']['id']; ?>
').style.display = 'none';
			<?php endforeach; endif; unset($_from); ?>
			<?php echo '
		}

		function edit(id)
		{
			text = document.getElementById(\'text_\' + id);
			textarea = document.getElementById(\'textarea_\' + id);
			text.style.display = \'none\';
			textarea.style.display = \'block\';
		}
	//]]>
	</script>
	'; ?>

	<?php echo '
		<script src="http://vlsi.felk.cvut.cz/Publikace-test/contents/modify_publication.js" type="text/javascript"></script>
	'; ?>

</head>
<body <?php if ($this->_tpl_vars['tab'] == 'modify'): ?>onload="init_ajax();"
	<?php elseif ($this->_tpl_vars['tab'] == 'annotations'): ?>onload="init_annot();"<?php endif; ?>>

	<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "header.tpl", 'smarty_include_vars' => array()));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>
	<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => "header2.tpl", 'smarty_include_vars' => array()));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>


<div class="rawpanel">
	<a href="index.php?<?php echo $_SESSION['search_qs']; ?>
&amp;advanced=false">&lt;&lt; go back</a><br />

	<ul id="publ_menu">
		<li <?php if ($_GET['tab'] == 1 || $_GET['tab'] == ''): ?>class="active"<?php endif; ?>><a href="?pid=<?php echo $_GET['pid']; ?>
&amp;tab=1">Overview</a></li>
		<?php if ($this->_tpl_vars['level'] <= 1): ?><li <?php if ($_GET['tab'] == 2): ?>class="active"<?php endif; ?>><a href="?pid=<?php echo $_GET['pid']; ?>
&amp;tab=2">Modify</a></li><?php endif; ?>
		<li <?php if ($_GET['tab'] == 3): ?>class="active"<?php endif; ?>><a href="?pid=<?php echo $_GET['pid']; ?>
&amp;tab=3">Annotations</a></li>
	</ul>
	<div id="publication_header">
		<h1><?php echo $this->_tpl_vars['title_label']; ?>
</h1>
		Authors: <a href="?authors=<?php echo $this->_tpl_vars['author_surnames']; ?>
&amp;advanced=false"><?php echo $this->_tpl_vars['authors_label']; ?>
</a>
		<?php if ($this->_tpl_vars['categories_label']): ?><br /><span class="categories_strip">Categories: <?php echo $this->_tpl_vars['categories_label']; ?>
</span><?php endif; ?>
	</div>

	<div id="publication_board">
		<?php if ($this->_tpl_vars['operation_error']): ?>
			<br />
			<span class="error"><?php echo $this->_tpl_vars['operation_error']; ?>
</span><br/><br/>
		<?php elseif ($this->_tpl_vars['operation_success']): ?>
			<br />
			<span class="success"><?php echo $this->_tpl_vars['operation_success']; ?>
</span><br/><br/>
		<?php endif; ?>

		<?php if ($this->_tpl_vars['tab'] == 'overview'): ?>
		<div class="overview_panel">
			<table class="overview_tbl" cellpadding="0" cellspacing="0" border="0" summary="overview">
			<tr><td>
			<div class="overview_fields">
				<?php if ($this->_tpl_vars['abstract']): ?><strong>Abstract:</strong><br /> <?php echo ((is_array($_tmp=((is_array($_tmp=$this->_tpl_vars['abstract'])) ? $this->_run_mod_handler('trim', true, $_tmp) : trim($_tmp)))) ? $this->_run_mod_handler('nl2br', true, $_tmp) : smarty_modifier_nl2br($_tmp)); ?>
<br /><br /><?php endif; ?>
				<strong>Type of publication:</strong> <?php echo $this->_tpl_vars['pub_type']; ?>
<br />
				<?php if ($this->_tpl_vars['booktitle']): ?><strong>Booktitle:</strong> <?php echo $this->_tpl_vars['booktitle']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['author']): ?><strong>Authors:</strong> <?php echo $this->_tpl_vars['author']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['volume']): ?><strong>Volume:</strong> <?php echo $this->_tpl_vars['volume']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['number']): ?><strong>Number:</strong> <?php echo $this->_tpl_vars['number']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['chapter']): ?><strong>Chapter:</strong> <?php echo $this->_tpl_vars['chapter']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['pages']): ?><strong>Pages:</strong> <?php echo $this->_tpl_vars['pages']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['series']): ?><strong>Series:</strong> <?php echo $this->_tpl_vars['series']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['edition']): ?><strong>Edition:</strong> <?php echo $this->_tpl_vars['edition']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['howpublished']): ?><strong>Howpublished:</strong> <?php echo $this->_tpl_vars['howpublished']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['type']): ?><strong>Type of report:</strong> <?php echo $this->_tpl_vars['type']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['institution']): ?><strong>Edition:</strong> <?php echo $this->_tpl_vars['institution']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['school']): ?><strong>School:</strong> <?php echo $this->_tpl_vars['school']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['organization']): ?><strong>Organization:</strong> <?php echo $this->_tpl_vars['organization']; ?>
<br /><?php endif; ?>

				<?php if ($this->_tpl_vars['journal']): ?><strong>Journal:</strong> <?php echo $this->_tpl_vars['journal']; ?>
<br /><?php endif; ?>

				<?php if ($this->_tpl_vars['conference2']): ?><br /><strong>Conference2:</strong><br />Name: <?php echo $this->_tpl_vars['conference2']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference2_abbreviation']): ?>Abbreviation: <?php echo $this->_tpl_vars['conference2_abbreviation']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference2_first_year'] && $this->_tpl_vars['conference2_first_year'] <> '0000'): ?>First year: <?php echo $this->_tpl_vars['conference2_first_year']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference2_description']): ?>Description: <?php echo $this->_tpl_vars['conference2_description']; ?>
<br /><?php endif; ?>

				<?php if ($this->_tpl_vars['conference_year']): ?><br /><strong>Year of Conference:</strong><br />Name: <?php echo $this->_tpl_vars['conference_year']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference_year_w_year'] && $this->_tpl_vars['conference_year_w_year'] <> '0000'): ?>Year: <?php echo $this->_tpl_vars['conference_year_w_year']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference_year_w_from'] && $this->_tpl_vars['conference_year_w_from'] <> "0000-00-00"): ?>From: <?php echo $this->_tpl_vars['conference_year_w_from']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference_year_w_to'] && $this->_tpl_vars['conference_year_w_to'] <> "0000-00-00"): ?>To: <?php echo $this->_tpl_vars['conference_year_w_to']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference_year_location']): ?>Location: <?php echo $this->_tpl_vars['conference_year_location']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference_year_isbn']): ?>ISBN: <?php echo $this->_tpl_vars['conference_year_isbn']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['conference_year_description']): ?>Description: <?php echo $this->_tpl_vars['conference_year_description']; ?>
<br /><?php endif; ?>


				<?php if ($this->_tpl_vars['publisher']): ?><br /><strong>Publisher:</strong><br />Name: <?php echo $this->_tpl_vars['publisher']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['publisher_address']): ?>Address: <?php echo $this->_tpl_vars['publisher_address']; ?>
<br /><?php endif; ?>

				<br />
				<?php if ($this->_tpl_vars['year']): ?><strong>Year: </strong><?php echo $this->_tpl_vars['year']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['month']): ?><strong>Month: </strong><?php echo $this->_tpl_vars['month']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['isbn']): ?><strong>ISBN:</strong> <?php echo $this->_tpl_vars['isbn']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['issn']): ?><strong>ISSN:</strong> <?php echo $this->_tpl_vars['issn']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['note']): ?><strong>Note:</strong> <?php echo $this->_tpl_vars['note']; ?>
<br /><?php endif; ?>
				<?php if ($this->_tpl_vars['url']): ?><strong>URL:</strong> <?php echo $this->_tpl_vars['url']; ?>
<br /><?php endif; ?>
			</div>
			</td><td>
			<div style="float: right;">
				<div class="bibtex_definition">
					<div class="header">Bibtex definition:</div>
					<div class="content"><?php echo $this->_tpl_vars['bibtex']; ?>
</div>
				</div>
				<?php if ($this->_tpl_vars['files']): ?>
				<br /><br />
				<div class="download">
					<div class="header">Downloads:</div>
					<div class="content"><?php echo $this->_tpl_vars['files']; ?>
</div>
				</div>
				<?php endif; ?>
			</div>
			</td></tr>
			</table>
			<hr class="cleaner" />
			<br /><br />
			<form method="post" action="" accept-charset="utf-8">

			<fieldset>
				<legend>Citation in <select name="format"><?php echo smarty_function_html_options(array('options' => $this->_tpl_vars['format'],'selected' => $this->_tpl_vars['selected_format']), $this);?>
</select> <input type="submit" name="change_format" value="ok" /></legend>
				<?php echo $this->_tpl_vars['citation']; ?>

			</fieldset>
			<br />
			<?php if ($this->_tpl_vars['level'] == 0 || $this->_tpl_vars['level'] == 1): ?>
			<input type="submit" name="set_my_publication" value="set as my publication" />
			<a id="hide_16" style="display:none" href="javascript:hidediv(16)"><img src="graphics/b_help.png" alt="help"/></a>
			<a id="show_16" href="javascript:showdiv(16,'<?php echo $this->_tpl_vars['16_help']; ?>
')"><img src="graphics/b_help.png" alt="help"/></a>	
			<center><div id="hideShow_16" style="visibility:hidden" class="help_class_half"></div></center>
			<?php endif; ?>
			</form>
		</div>
		<?php elseif ($this->_tpl_vars['tab'] == 'modify'): ?>
			<form action="" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
			<?php $_smarty_tpl_vars = $this->_tpl_vars;
$this->_smarty_include(array('smarty_include_tpl_file' => 'modify_publication.tpl', 'smarty_include_vars' => array()));
$this->_tpl_vars = $_smarty_tpl_vars;
unset($_smarty_tpl_vars);
 ?>
			</form>
		<?php elseif ($this->_tpl_vars['tab'] == 'annotations'): ?>
			<form method="post" action="" accept-charset="utf-8">
			<textarea rows="3" cols="80" name="annotation"></textarea>
			<div class="right">
				<input type="submit" name="add_annotation" value="add annotation" />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<label>private <input type="radio" name="scope" value="0" checked="checked" /></label>
				<label>global<input type="radio" name="scope" value="1" /></label>
			</div>
			</form>
			<?php if ($this->_tpl_vars['editable_annot'] || $this->_tpl_vars['other_annot']): ?><hr /><?php endif; ?>
			<?php $_from = $this->_tpl_vars['editable_annot']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['annot']):
?>
			<form method="post" action="" accept-charset="utf-8" class="editable_annot">
				<div id="text_<?php echo $this->_tpl_vars['annot']['id']; ?>
">
					<em><?php echo $this->_tpl_vars['annot']['text']; ?>
</em><br/><br/>
					by <?php echo $this->_tpl_vars['annot']['owner']; ?>
<br />
					<div class="right"><span class="btn" onclick="edit(<?php echo $this->_tpl_vars['annot']['id']; ?>
);">edit</span></div>
				</div>
				<div id="textarea_<?php echo $this->_tpl_vars['annot']['id']; ?>
">
					<textarea rows="3" cols="80" name="annotation"><?php echo $this->_tpl_vars['annot']['text']; ?>
</textarea>
					<br/><br/>
					<input name="delete_annotation" type="submit" value="delete" />
					<input name="update_annotation" type="submit" value="update" />
					<input name="id" type="hidden" value="<?php echo $this->_tpl_vars['annot']['id']; ?>
" />
				</div>
			</form>
			<?php endforeach; endif; unset($_from); ?>
			<?php $_from = $this->_tpl_vars['other_annot']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['annot']):
?>
			<form method="post" action="" accept-charset="utf-8" class="other_annot">
				<div id="text_<?php echo $this->_tpl_vars['annot']['id']; ?>
">
					<em><?php echo $this->_tpl_vars['annot']['text']; ?>
</em><br/><br/>
					by <?php echo $this->_tpl_vars['annot']['owner']; ?>
<br />
					<div class="right"><span class="btn" onclick="edit(<?php echo $this->_tpl_vars['annot']['id']; ?>
);">edit</span></div>
				</div>
			</form>
			<?php endforeach; endif; unset($_from); ?>
		<?php endif; ?>
	</div>
</div>
</body></html>